GET api/GetTrafficDataGroupByDayAndToilet/{corporateId}/{buildingId}/{dateStart}/{dateEnd}/{applicationId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| corporateId | string |
Required |
|
| buildingId | string |
Required |
|
| dateStart | string |
Required |
|
| dateEnd | string |
Required |
|
| applicationId | string |
Required |
Body Parameters
None.
Response Information
Resource Description
RemkoSensorData| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | integer |
None. |
|
| RkSensorType | integer |
None. |
|
| SiteID | integer |
None. |
|
| RecordDate | date |
None. |
|
| RecordTime | time interval |
None. |
|
| TrafficCount | integer |
None. |
|
| Signal | integer |
None. |
|
| SyncDate | date |
None. |
|
| Serial | string |
None. |
|
| RecordDateTime | date |
None. |
Response Formats
application/json, text/json
Sample:
{
"ID": 1,
"RkSensorType": 2,
"SiteID": 3,
"RecordDate": "2026-05-20T23:50:51.1230978+08:00",
"RecordTime": "00:00:00.1234567",
"TrafficCount": 6,
"Signal": 7,
"SyncDate": "2026-05-20T23:50:51.1230978+08:00",
"Serial": "sample string 9",
"RecordDateTime": "2026-05-20T23:50:51.1230978+08:00"
}
application/xml, text/xml
Sample:
<RemkoSensorData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/M2senseWebApiProject"> <ID>1</ID> <RecordDate>2026-05-20T23:50:51.1230978+08:00</RecordDate> <RecordDateTime>2026-05-20T23:50:51.1230978+08:00</RecordDateTime> <RecordTime>PT0.1234567S</RecordTime> <RkSensorType>2</RkSensorType> <Serial>sample string 9</Serial> <Signal>7</Signal> <SiteID>3</SiteID> <SyncDate>2026-05-20T23:50:51.1230978+08:00</SyncDate> <TrafficCount>6</TrafficCount> </RemkoSensorData>